Subject: Re: [MMUSIC] avtext-sdes-hdr-ext has been approved, BUNDLE should probably be changed to use it.

From: Christer Holmberg <[email-masked]>
Date: Thu, 11 Aug 2016 13:50:25 +0000

Hi,

I¹ve created a pull request that adds a reference to
draft-avtext-sdes-hdr-ext, and extends the RTP SDES header extension for
carrying the MID.

As requested by Magnus, I also added a few more words on why it is needed,
and some security/privacy text.

https://github.com/cdh4u/draft-sdp-bundle/pull/4

Regards,

Christer

On 22/06/16 12:06, "Christer Holmberg" <[email-masked]>
wrote:

>Hi,
>
>...
>
>>>Also, if we update BUNDLE (if something needs to be updated) I assume
>>> the text talking about the MID SDES item will be removed from
>>> avtext-sdes-hdr-ext?
>>>
>>
>>I think the only text in SDES header ext document about BUNDLE is the
>>following:
>>
>>    The ongoing work on bundling SDP media descriptions
>>    [I-D.ietf-mmusic-sdp-bundle-negotiation] has identified a new SDES
>>    item that can benefit from timely delivery.  A corresponding RTP SDES
>>    compact header extension is therefore also defined and registered in
>>    that document:
>>
>>    MID:  This is a media description identifier that matches the value
>>       of the Session Description Protocol (SDP) [RFC4566] a=mid
>>       attribute [RFC5888], to associate RTP streams multiplexed on the
>>       same transport with their respective SDP media description.
>>
>>All I can see that is does is saying. Hey, there is this other document
>>that also have a SDES item that needs a header extension. Here is the
>>abstract what it does. Go read the bundle draft for the details.
>>
>>I don't see an issue with leaving that in. Do you? Or have I forgotten
>>about some other text about bundle?
>
>
>No, you are correct. It can be left in the document.
>
>Regards,
>
>Christer
>
>